function [total_shift, num_iterations] = compute_meanshift_vector_repeat_spatiogram(spat_model, img, state, aspect_ratio, nbins)

max_num_iterations = 20;

num_iterations = 0;
total_shift = [0 0];
shift = [1 1];
while any(shift >= 0.1) & num_iterations < max_num_iterations,
    spat_cand = compute_meanshift_spatiogram(img, state, aspect_ratio, nbins);
    shift = compute_meanshift_vector_spatiogram(spat_cand, spat_model, img, state, aspect_ratio, nbins);
    state(1:2) = state(1:2) + shift;
%    state
    if ~is_state_in_bounds(state, aspect_ratio, [size(img,1) size(img,2)]),
%        disp('oooooooooooooooooooooooooooooob')
        state(1:2) = state(1:2) - shift;
        break;
    end
    total_shift = total_shift + shift;
    num_iterations = num_iterations + 1;
end

%num_iterations