function likelihood = compute_likelihood_spatiogram(img, state, search_range, aspect_ratio, model_spatiogram,nbins)


% for each state in state_in +/- search_range,
cntr = 1;
%for sc = (1-search_range(3)):0.1:(1+search_range(3))
for sc = state(3)- 1 : 1 : state(3) + 1
    for i=state(1) + [-search_range(1):search_range(1)],
        for j=state(2) + [-search_range(2):search_range(2)],
            %for k=state(3) * (1 + [-search_range(3):search_range(3)]),
            %k = state(3)*sc;
            k = sc;
            state_in = [i j k];  
            spatiogram = compute_color_spatiogram(img, state_in, aspect_ratio,nbins);
            spatiogram = normalize_spatiogram(spatiogram,model_spatiogram);
            likelihood(i-state(1) + search_range(1)+1,j-state(2)+search_range(2)+1,cntr) = compare_spatiograms(spatiogram,model_spatiogram);
            %end
        end
    end
    cntr = cntr + 1;
end

minn = min(min(min(likelihood)));
maxx = max(max(max(likelihood)));
likelihood = (likelihood - minn) / (maxx - minn);


% figure(3),colormap(gray);
% subplot(2,2,1)
% imagesc(likelihood(:,:,1));
% subplot(2,2,2)
% imagesc(likelihood(:,:,2));
% subplot(2,2,3)
% imagesc(likelihood(:,:,3));
%waitforbuttonpress;