function [orient, angle] = find_spatiogram_orientation(img_color,state,aspect_ratio,nbins,spat1,spat2,spat3,spat4)

spat_current = compute_color_spatiogram(img_color,state,aspect_ratio,nbins);
spat_current = normalize_spatiogram(spat_current,spat1);
a(1) = compare_spatiograms(spat_current,spat1);
spat_current = normalize_spatiogram(spat_current,spat2);
a(2) = compare_spatiograms(spat_current,spat2);
spat_current = normalize_spatiogram(spat_current,spat3);
a(3) = compare_spatiograms(spat_current,spat3);
spat_current = normalize_spatiogram(spat_current,spat4);
a(4) = compare_spatiograms(spat_current,spat4);

orient = find(a == max(a));
orient = orient(1);
other = [ mod(orient-2,4)+1 mod(orient,4)+1 ];
o1 = orient;
o2 = find(a(other) == max(a(other)));
o2 = other( o2(1) );
v1 = a(o1) - min(a);
v2 = a(o2) - min(a);
if v1<0 | v2<0, error('assert'), end
ang = [0 90 180 270];
alpha = v1 / (v1+v2);
a1 = ang(o1);
a2 = ang(o2);
if o1==1 & o2==4, a1 = 360;
elseif o1==4 & o2==1, a2 = 360;
end
ang;
angle = alpha * a1 + (1-alpha) * a2;


%orient = a(loc);