function img_color = colspace(img)
col3 = (img(:,:,1)+ img(:,:,2) + img(:,:,3))/3; % divide by 3 removed based on paper.
col1 = ((img(:,:,3) - img(:,:,2)) * 10 ) + 127;
col2 = ((img(:,:,2) - img(:,:,1)) * 10 ) + 127;

col1 = max(min(col1, 255), 0);
col2 = max(min(col2, 255), 0);
col3 = max(min(col3, 255), 0);


img_color(:,:,1) = col1;
img_color(:,:,2) = col2;
img_color(:,:,3) = col3;


