function [state] = keep_state_in_bounds(img,state,search_range,aspect_ratio,size_range)

y = state(1);
x = state(2);
s = state(3);

dy = search_range(1);
dx = search_range(2);
ds = search_range(3);

min_size = size_range(1);
max_size = size_range(2);

% if round(s * (1-ds)) < min_size, 
%     s = round(min_size/(1-ds)); 
% elseif round(s * (1+ds)) > max_size,
%     s = round(max_size/(1+ds));
% end
    if round (s - 1) < min_size
        s = s + 1;
    elseif round(s + 1) > max_size
        s = s - 1;
    end
axis_y = s;
axis_x = s * aspect_ratio;

axis_x_big = round(axis_x  + 1);
axis_y_big = round(axis_y + 1);

border_y = axis_y_big + dy;
border_x = axis_x_big + dx;

y = max(y, border_y);
y = min(y, size(img,2) - border_y);

x = max(x, border_x);
x = min(x, size(img,1) - border_x);

state = [y, x, s];
